Red Hat Enterprise Linux GnuTLS Cryptographic Module

Certificate details

Certificate ID #3571
Status historical
Historical reason SP 800-56Arev3 transition
Validation dates 25.11.2019
Standard FIPS 140-2
Security level 1
Type Software
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode
Exceptions
  • Physical Security: N/A
Description GnuTLS is a secure communications library implementing the TLS and DTLS protocols. It provides a simple C language application programming interface to access the secure communications protocols as well as APIs to parse and write X.509, PCKS#12, and other required structures which is shipped with Red Hat Enterprise Linux 7.6.
Tested configurations
  • Red Hat Enterprise Linux 7 running on Dell PowerEdge R630 with an Intel(R) Xeon(R) E5 with PAA
  • Red Hat Enterprise Linux 7 running on Dell PowerEdge R630 with an Intel(R) Xeon(R) E5 without PAA (single-user mode)
Vendor Red Hat®, Inc. http://www.redhat.com
Lab atsec information security corporation
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, AES-256, Twofish, Serpent, CAST, RC2, RC4, DES, Triple-DES, TDEA, Salsa20, Blowfish, Camellia, HMAC, HMAC-SHA-256, HMAC-SHA-224, HMAC-SHA-384, HMAC-SHA-512
Asymmetric Algorithms
ECDSA, ECC, Diffie-Hellman, DSA
Hash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-3, MD4, MD5, RIPEMD-160, PBKDF2
Schemes
MAC, Key agreement, Key Agreement
Protocols
TLS, TLS v1.0, DTLS
Randomness
PRNG, DRBG, RNG
Libraries
Nettle, GnuTLS
Elliptic Curves
P-384, P-521, P-256, NIST P-256
Block cipher modes
CBC, CTR, GCM

Security level
Level 1, level 1
Side-channel analysis
timing attacks

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3571,
  "dgst": "2f619d680b998bca",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "DRBG#C276",
        "SHS#C269",
        "RSA#C276",
        "#C269",
        "#C272",
        "Triple-DES#C276",
        "CVL#C259",
        "#C285",
        "#C276",
        "HMAC#C259",
        "AES#C285",
        "SHS#C285",
        "AES#C137",
        "#C259",
        "AES#C276",
        "#C281",
        "AES#C281",
        "ECDSA#C276",
        "RSA#C259",
        "AES#C272",
        "DSA#C276",
        "DSA#C259",
        "CVL#C276",
        "DRBG#C259",
        "Triple-DES#C259",
        "ECDSA#C259",
        "AES#C259",
        "#C137",
        "AES#C269",
        "KTS#C276",
        "HMAC#C276",
        "KTS#C259",
        "SHS#C259",
        "AES#C136",
        "SHS#C276",
        "#C136"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "-"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 42,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 1
          },
          "ECDSA": {
            "ECDSA": 31
          }
        },
        "FF": {
          "DH": {
            "Diffie-Hellman": 41
          },
          "DSA": {
            "DSA": 43
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 8
        },
        "CTR": {
          "CTR": 3
        },
        "GCM": {
          "GCM": 9
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "GnuTLS": {
          "GnuTLS": 44
        },
        "Nettle": {
          "Nettle": 1
        }
      },
      "crypto_protocol": {
        "TLS": {
          "DTLS": {
            "DTLS": 5
          },
          "TLS": {
            "TLS": 46,
            "TLS v1.0": 1
          }
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 1,
          "Key agreement": 2
        },
        "MAC": {
          "MAC": 3
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "NIST P-256": 2,
          "P-256": 12,
          "P-384": 20,
          "P-521": 24
        }
      },
      "eval_facility": {
        "atsec": {
          "atsec": 2
        }
      },
      "fips_cert_id": {},
      "fips_certlike": {
        "Certlike": {
          "AES 128, 192": 1,
          "AES-256": 3,
          "HMAC-SHA-1": 2,
          "HMAC-SHA-224": 2,
          "HMAC-SHA-256": 6,
          "HMAC-SHA-384": 2,
          "HMAC-SHA-512": 2,
          "PKCS#1": 6,
          "PKCS#11": 2,
          "PKCS#12": 2,
          "PKCS#7": 2,
          "SHA- 224": 2,
          "SHA- 256": 4,
          "SHA- 384": 1,
          "SHA-1": 9,
          "SHA-1 1": 1,
          "SHA-224": 11,
          "SHA-256": 18,
          "SHA-3": 2,
          "SHA-384": 19,
          "SHA-512": 17
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 1,
          "level 1": 2
        }
      },
      "hash_function": {
        "MD": {
          "MD4": {
            "MD4": 2
          },
          "MD5": {
            "MD5": 4
          }
        },
        "PBKDF": {
          "PBKDF2": 1
        },
        "RIPEMD": {
          "RIPEMD-160": 2
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 10
          },
          "SHA2": {
            "SHA-224": 11,
            "SHA-256": 18,
            "SHA-384": 19,
            "SHA-512": 17
          },
          "SHA3": {
            "SHA-3": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 28,
          "PRNG": 1
        },
        "RNG": {
          "RNG": 3
        }
      },
      "side_channel_analysis": {
        "SCA": {
          "timing attacks": 2
        }
      },
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 45,
          "FIPS 186-2": 2,
          "FIPS 186-4": 17,
          "FIPS 197": 1,
          "FIPS 198-1": 1,
          "FIPS PUB 140-2": 2,
          "FIPS140-2": 3,
          "FIPS180-4": 1,
          "FIPS186-4": 3,
          "FIPS197": 1,
          "FIPS198-1": 1
        },
        "NIST": {
          "NIST SP 800-57": 1,
          "SP 800-132": 1,
          "SP 800-38A": 1,
          "SP 800-38F": 2,
          "SP 800-56A": 1,
          "SP 800-56B": 2,
          "SP 800-67": 1,
          "SP 800-90A": 5
        },
        "PKCS": {
          "PKCS#1": 3,
          "PKCS#11": 1,
          "PKCS#12": 1,
          "PKCS#7": 1
        },
        "RFC": {
          "RFC2898": 1,
          "RFC4347": 2,
          "RFC4357": 2,
          "RFC5246": 3,
          "RFC5288": 2,
          "RFC5764": 1,
          "RFC6520": 1
        },
        "X509": {
          "X.509": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 35,
            "AES-256": 3
          },
          "CAST": {
            "CAST": 2
          },
          "RC": {
            "RC2": 2,
            "RC4": 2
          },
          "Serpent": {
            "Serpent": 2
          },
          "Twofish": {
            "Twofish": 2
          }
        },
        "DES": {
          "3DES": {
            "TDEA": 1,
            "Triple-DES": 13
          },
          "DES": {
            "DES": 4
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 32,
            "HMAC-SHA-224": 1,
            "HMAC-SHA-256": 3,
            "HMAC-SHA-384": 1,
            "HMAC-SHA-512": 1
          }
        },
        "djb": {
          "Salsa": {
            "Salsa20": 2
          }
        },
        "miscellaneous": {
          "Blowfish": {
            "Blowfish": 2
          },
          "Camellia": {
            "Camellia": 2
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "DRBG#C276",
        "SHS#C269",
        "RSA#C276",
        "Triple-DES#C276",
        "CVL#C259",
        "HMAC#C259",
        "AES#C285",
        "SHS#C285",
        "AES#C137",
        "AES#C276",
        "AES#C281",
        "ECDSA#C276",
        "RSA#C259",
        "AES#C272",
        "DSA#C276",
        "DSA#C259",
        "CVL#C276",
        "DRBG#C259",
        "Triple-DES#C259",
        "ECDSA#C259",
        "AES#C259",
        "AES#C269",
        "KTS#C276",
        "HMAC#C276",
        "KTS#C259",
        "SHS#C259",
        "AES#C136",
        "SHS#C276"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#C269",
        "#C272",
        "#C137",
        "#C259",
        "#C285",
        "#C276",
        "#C281",
        "#C136"
      ]
    },
    "policy_metadata": {
      "/Author": "Alejandro Fabio Masino",
      "/CreationDate": "D:20191108184230-06\u002700\u0027",
      "/Creator": "Writer",
      "/Producer": "LibreOffice 5.3",
      "/Subject": "Red Hat Enterprise Linux GnuTLS Cryptographic Module",
      "/Title": "FIPS 140-2 Non-proprietary Security Policy",
      "pdf_file_size_bytes": 320056,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 36
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "d9592139dc84a861e3bbfbe527e1ac1eb283131f4003e8032d81299a1867b4df",
      "source_hash": "11af3e6bb23afad14f874d3f41e369220109700d5419bcdcaa2c657634d5c36d",
      "txt_hash": "36dd0e81b8f89e0fee6cbc2d225c178707cd01e061fe6868799bbdf5d6223184"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertNov2019.pdf",
    "date_sunset": null,
    "description": "GnuTLS is a secure communications library implementing the TLS and DTLS protocols. It provides a simple C language application programming interface to access the secure communications protocols as well as APIs to parse and write X.509, PCKS#12, and other required structures which is shipped with Red Hat Enterprise Linux 7.6.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Physical Security: N/A"
    ],
    "fw_versions": null,
    "historical_reason": "SP 800-56Arev3 transition",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "Red Hat Enterprise Linux GnuTLS Cryptographic Module",
    "module_type": "Software",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": "7.0",
    "tested_conf": [
      "Red Hat Enterprise Linux 7 running on Dell PowerEdge R630 with an Intel(R) Xeon(R) E5 with PAA",
      "Red Hat Enterprise Linux 7 running on Dell PowerEdge R630 with an Intel(R) Xeon(R) E5 without PAA (single-user mode)"
    ],
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2019-11-25",
        "lab": "atsec information security corporation",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Red Hat\u00ae, Inc.",
    "vendor_url": "http://www.redhat.com"
  }
}